<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="pl">
<head>
<!-- Generated by javadoc (1.8.0_291) on Sun Oct 17 07:38:53 CEST 2021 -->
<title>com.profacilis.sidnetdemo.article Class Hierarchy</title>
<meta name="date" content="2021-10-17">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="com.profacilis.sidnetdemo.article Class Hierarchy";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../com/profacilis/sidnetdemo/article/package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/profacilis/sidnetdemo/article/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package com.profacilis.sidnetdemo.article</h1>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">com.profacilis.sidnetdemo.article.<a href="../../../../com/profacilis/sidnetdemo/article/Article.html" title="class in com.profacilis.sidnetdemo.article"><span class="typeNameLink">Article</span></a></li>
<li type="circle">com.profacilis.sidnetdemo.article.<a href="../../../../com/profacilis/sidnetdemo/article/ArticleApplication.html" title="class in com.profacilis.sidnetdemo.article"><span class="typeNameLink">ArticleApplication</span></a></li>
<li type="circle">com.profacilis.sidnetdemo.article.<a href="../../../../com/profacilis/sidnetdemo/article/ArticleController.html" title="class in com.profacilis.sidnetdemo.article"><span class="typeNameLink">ArticleController</span></a></li>
<li type="circle">com.profacilis.sidnetdemo.article.<a href="../../../../com/profacilis/sidnetdemo/article/ArticleService.html" title="class in com.profacilis.sidnetdemo.article"><span class="typeNameLink">ArticleService</span></a></li>
<li type="circle">com.profacilis.sidnetdemo.article.<a href="../../../../com/profacilis/sidnetdemo/article/SidnetArticleApplicationTests.html" title="class in com.profacilis.sidnetdemo.article"><span class="typeNameLink">SidnetArticleApplicationTests</span></a></li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">org.springframework.data.repository.query.QueryByExampleExecutor&lt;T&gt;
<ul>
<li type="circle">org.springframework.data.jpa.repository.JpaRepository&lt;T,ID&gt; (also extends org.springframework.data.repository.PagingAndSortingRepository&lt;T,ID&gt;)
<ul>
<li type="circle">com.profacilis.sidnetdemo.article.<a href="../../../../com/profacilis/sidnetdemo/article/ArticleRepository.html" title="interface in com.profacilis.sidnetdemo.article"><span class="typeNameLink">ArticleRepository</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.springframework.data.repository.Repository&lt;T,ID&gt;
<ul>
<li type="circle">org.springframework.data.repository.CrudRepository&lt;T,ID&gt;
<ul>
<li type="circle">org.springframework.data.repository.PagingAndSortingRepository&lt;T,ID&gt;
<ul>
<li type="circle">org.springframework.data.jpa.repository.JpaRepository&lt;T,ID&gt; (also extends org.springframework.data.repository.query.QueryByExampleExecutor&lt;T&gt;)
<ul>
<li type="circle">com.profacilis.sidnetdemo.article.<a href="../../../../com/profacilis/sidnetdemo/article/ArticleRepository.html" title="interface in com.profacilis.sidnetdemo.article"><span class="typeNameLink">ArticleRepository</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../com/profacilis/sidnetdemo/article/package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/profacilis/sidnetdemo/article/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
